#include <bits/stdc++.h>

using namespace std;

int main()
{
    short int p,q,r;
    long long int L,R,b,i;
    scanf("%sd %sd %lld %lld %lld",&p,&q,&r,&L,&R);
    for(i=L;i<=R;i++)
    {
        if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)
        {
            b++;
        }
    }
    printf("%d",b);
    return 0;
}